; setup our Screen Width and Height here for easier tracking
#ScreenWidth  = 640
#ScreenHeight = 480

; Initialize the sprite and keyboard, sound, and a 640x480, 16-bit screen
If InitSprite() = 0 Or InitKeyboard() = 0 Or InitSound() = 0 Or OpenScreen(#ScreenWidth,#ScreenHeight,16,"App Title") = 0
   MessageRequester("Error!", "Unable to Initialize Environment", #PB_MessageRequester_Ok)
   End
EndIf

ClearColor = RGB(0,0,0)

; Load in our .WAV file
SoundID = LoadSound(#PB_Any,"sounds/explosion1.wav")

; if our file loaded okay...
If SoundID
   ; initialize the Volume to half and set
   Sound1Volume = 50
   SoundVolume(SoundID,Sound1Volume)

   ; initialize the pan to center and set
   Sound1Pan = 0
   SoundPan(SoundID,Sound1Pan)

   ; initialize the pitch to highest and set
   Sound1Frequency = 44000
   SoundFrequency(SoundID,Sound1Pitch)
Else
   MessageRequester("Error!", "Unable to load sound file", #PB_MessageRequester_Ok)
   End
EndIf


; Keep going until the user hits ESCAPE
Repeat
   ; clear the screen
   ClearScreen(ClearColor)

   ExamineKeyboard()
   ; if the user hits the space bar, play
   ; the sound
   If KeyboardPushed(#PB_Key_Space)
       PlaySound(SoundID)
   EndIf

    ; if the user hits the up arrow, increase
    ; the volume
    If KeyboardPushed(#PB_Key_Up)
       Sound1Volume = Sound1Volume + 1
       If Sound1Volume > 100
          Sound1Volume = 100
       EndIf
       SoundVolume(SoundID,Sound1Volume)
    EndIf

    ; if the user hits the down arrow, decrease
    ; the volume
    If KeyboardPushed(#PB_Key_Down)
       Sound1Volume = Sound1Volume - 1
       If Sound1Volume < 0
          Sound1Volume = 0
       EndIf
       SoundVolume(SoundID,Sound1Volume)
    EndIf

    ; if the user hits the right arrow, 
    ; move the pan a bit to the right
    If KeyboardPushed(#PB_Key_Right)
       Sound1Pan = Sound1Pan + 1
       If Sound1Pan > 100
          Sound1Pan = 100
       EndIf
       SoundPan(SoundID,Sound1Pan)
    EndIf

    ; if the user hits the left arrow, 
    ; move the pan a bit to the left
    If KeyboardPushed(#PB_Key_Left)
       Sound1Pan = Sound1Pan - 1
       If Sound1Pan < -100
          Sound1Pan = -100
       EndIf
       SoundPan(SoundID,Sound1Pan)
    EndIf


    ; if the user hits the right-control, 
    ; raise the pitch slightly
    If KeyboardPushed(#PB_Key_RightControl)
       Sound1Frequency = Sound1Frequency + 1000
       If Sound1Frequency > 100000
          Sound1Frequency = 100000
       EndIf
       SoundFrequency(SoundID,Sound1Frequency )
    EndIf

    ; if the user hits the left-control, 
    ; lower the pitch slightly
    If KeyboardPushed(#PB_Key_LeftControl)
       Sound1Frequency = Sound1Frequency - 1000
       If Sound1Frequency < 1000
          Sound1Frequency = 1000
       EndIf
       SoundFrequency(SoundID,Sound1Frequency)
    EndIf

    ; put up some text to explain usage
   ; put up text for information
   StartDrawing(ScreenOutput())
     DrawText(0,0,"Up Arrow = Increase Volume, Down Arrow = Decrease Volume")
     DrawText(0,16,"Left Arrow = Pan Left, Right Arrow = Pan Right")
     DrawText(0,32,"Left-Control = Decrease Pitch, Right-Control = Increase Pitch")
     DrawText(0,48,"Spacebar = Play Explosion sound")

     DrawText(0,100,"SOUND INFORMATION:")
     DrawText(0,116,"Sound Volume = " + Str(Sound1Volume))
     DrawText(0,132,"Sound Pan = " + Str(Sound1Pan))
     DrawText(0,148,"Sound Frequency = " + Str(Sound1Frequency))

     DrawText(0,400,"Press ESCAPE to quit")
   StopDrawing()

   FlipBuffers()

Until KeyboardReleased(#PB_Key_Escape)

End

; IDE Options = PureBasic 4.61 (Windows - x64)
; CursorPosition = 104
; FirstLine = 90