; setup our Screen Width and Height here for easier tracking
#ScreenWidth  = 640
#ScreenHeight = 480

; Initialize the sprite and keyboard, and a 640x480, 16-bit screen
If InitSprite() = 0 Or InitKeyboard() = 0 Or OpenScreen(#ScreenWidth,#ScreenHeight,16,"App Title",#PB_Screen_NoSynchronization) = 0
   MessageRequester("Error!", "Unable to Initialize Environment", #PB_MessageRequester_Ok)
   End
EndIf

ClearColor = RGB(0,0,0)

; setup our timer and init it's value
FPSTimer = ElapsedMilliseconds()

; setup our tracking variables
FPS = 0
FPSCounter = 0
  
; Keep going until the user hits ESCAPE
Repeat
   ; clear the screen
  ClearScreen(ClearColor)
  
  If StartDrawing(ScreenOutput()) 
    For lines = 0 To 500
      ; choose random colors
      r = Random(254)
      g = Random(254)
      b = Random(254)       
      ; draw out the line in the selected color, at random places and sizes
      Line(Random(639),Random(449),Random(150),Random(150),RGB(r,g,b))
    Next
    ; show the current FPS
    DrawText(0,460,"FPS = " + Str(FPS) + "  --  Press ESC to exit...")
  Else
    MessageRequester("Error!", "Unable to Draw to ScreenOutput()", #PB_MessageRequester_Ok)
    End
  EndIf
  
  StopDrawing()
  
  ; if the current time is 1000 milliseconds (1 second)
  ; past the starting timer
  If ElapsedMilliseconds() > FPSTimer + 1000
    ; set the FPS var to the FPS counter
    FPS = FPSCounter
    ; reset the counter
    FPSCounter = 0
    ; reset the timer
    FPSTimer = ElapsedMilliseconds()
  Else
    ; otherwise, ad 1 to the counter variable
    FPSCounter = FPSCounter + 1
  EndIf
  
  ExamineKeyboard()

  ; to make it so PB doesn't enable syncing, use FlipBuffers with a 0
  FlipBuffers()

Until KeyboardReleased(#PB_Key_Escape)

End
; IDE Options = PureBasic 4.61 (Windows - x64)
; CursorPosition = 5
; FirstLine = 3